com.holonplatform.vaadin.flow.components.builders

## Interface ComposableConfigurator<L extends com.vaadin.flow.component.HasElement,E extends HasComponent,G extends ComponentGroup<E>,C extends ComposableConfigurator<L,E,G,C>>

- Type Parameters:
    `L` - Composition layout type
    `E` - Group elements type
    `G` - Component group type
    `C` - Concrete builder type
  All Known Subinterfaces:
    PropertyFormConfigurator<L,E,G,C>, PropertyInputFormBuilder<C>, PropertyInputFormConfigurator<C,B>, PropertyViewFormBuilder<C>, PropertyViewFormConfigurator<C>

      public interface ComposableConfigurator<L extends com.vaadin.flow.component.HasElement,E extends HasComponent,G extends ComponentGroup<E>,C extends ComposableConfigurator<L,E,G,C>>

  `Composable` component configurator.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `composeOnAttach(boolean composeOnAttach)` Set whether to compose the group elements into the content layout when the content component is attached to a parent component.
    `C` | `composer(Composable.Composer<? super L,E,G> composer)` Set the `Composable.Composer` to be used to compose the components into the content component.
    `C` | `initializer(Consumer<L> initializer)` Set a content initializer to setup the content component.

- - ### Method Detail

    - #### initializer

          C initializer(Consumer<L> initializer)

      Set a content initializer to setup the content component. The initiliazer is called every time the content composition is triggered.
      Parameters:
        `initializer` - The content initializer to set (not null)
      Returns:
        this

    - #### composer

          C composer(Composable.Composer<? super L,E,G> composer)

      Set the `Composable.Composer` to be used to compose the components into the content component.
      Parameters:
        `composer` - The composer to set (not null)
      Returns:
        this

    - #### composeOnAttach

          C composeOnAttach(boolean composeOnAttach)

      Set whether to compose the group elements into the content layout when the content component is attached to a parent component.

      If `false` the `Composable.compose()` method must be invoked to compose the group elements.

      Default is `true`.

      Parameters:
        `composeOnAttach` - `true` to compose the group elements when the content is attached to a parent component. If `false`, the `Composable.compose()` method must be invoked to compose the components.
      Returns:
        this

Copyright © 2020 The Holon Platform. All rights reserved.